Skip to main content
PUT
/
api
/
v1
/
faqs
/
{id}
Update an FAQ
curl --request PUT \
  --url https://api.kataven.ai/v1/api/v1/faqs/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "category": "general",
  "content": "We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.",
  "created_at": "<string>",
  "id": "faq_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
  "is_default": true,
  "name": "hours",
  "summary": "Mon–Fri 9am–6pm Pacific.",
  "tags": [
    "hours",
    "general"
  ],
  "title": "What are your business hours?",
  "updated_at": "<string>"
}
EOF
{
  "category": "general",
  "content": "We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays.",
  "created_at": "<string>",
  "id": "faq_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z",
  "is_default": true,
  "name": "hours",
  "summary": "Mon–Fri 9am–6pm Pacific.",
  "tags": [
    "hours",
    "general"
  ],
  "title": "What are your business hours?",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kataven.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

X-Account-ID
string

Tenant database. Required when using a Zitadel JWT.

Path Parameters

id
string
required

FAQ id (uuid) or name

Body

application/json

Fields to update

Fields to update

category
string
Example:

"general"

content
string
Example:

"We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays."

created_at
string
id
string
Example:

"faq_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z"

is_default
boolean
name
string
Example:

"hours"

summary
string
Example:

"Mon–Fri 9am–6pm Pacific."

tags
string[]
Example:
["hours", "general"]
title
string
Example:

"What are your business hours?"

updated_at
string

Response

OK

category
string
Example:

"general"

content
string
Example:

"We're open Monday through Friday, 9am to 6pm Pacific Time. Closed on US federal holidays."

created_at
string
id
string
Example:

"faq_01HZ2N7G3K8M0Q5R7T9V2X4Y6Z"

is_default
boolean
name
string
Example:

"hours"

summary
string
Example:

"Mon–Fri 9am–6pm Pacific."

tags
string[]
Example:
["hours", "general"]
title
string
Example:

"What are your business hours?"

updated_at
string